/**
 * 业务错误处理
 * @param error
 * @returns {string}
 */
export default function (error, key) {
  let msg = ''
  switch (error[key]) {
    case '123456':
      msg = '请求参数错误'
      break
    case '7890':
      msg = '缺少name字段'
      break

    /* 其他错误 */
    default:
      msg = error.message
      break
  }
  return msg
}
